apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: ms-demo-ingress
  annotations:
          # nginx.ingress.kubernetes.io/rewrite-target: /$1
          kubernetes.io/ingress.class: "nginx"
spec:
  defaultBackend:
      service:
        name: ms-demo-service
        port:
          number: 8080
  rules:
           #- host: my-app.com
   - http:
       paths:
       - path: /
         pathType: Prefix
         backend:
           service:
             name: hello-world-two
             port:
               number: 8080
       - path: /fib
         pathType: ImplementationSpecific
         backend:
            service:
              name: ms-demo-service
              port:
               number: 8080
